/**
 * Device name management
 */

#pragma once

#include <stdbool.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Generate random device name, if not existent
     */
    bool dev_generate_name_if_required();

    /**
     * Clear device name
     */
    void dev_remove_name();

    /**
     * Get current device name. This value MUST be freed after usage
     *
     * @return NULL if no name was already defined.
     */
    char *dev_name();

#ifdef __cplusplus
}
#endif
